<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetFolderPermissions Method (IEdmUserMgr7)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUserMgr7 Interface : SetFolderPermissions Method (IEdmUserMgr7)

Visual Basic
C#
C++/CLI

poPermissions
  Array of EdmFolderPermission structures; one structure for each permission assignment

Sets specified permissions on a specified folder for a specified user or group.

# Syntax

Visual Basic |
--- | ---

    Sub SetFolderPermissions( _
       ByVal poPermissions() As EdmFolderPermission _
    )

C# |
--- | ---

    void SetFolderPermissions(
       EdmFolderPermission[] poPermissions
    )

C++/CLI |
--- | ---

    void SetFolderPermissions(
    &   array<EdmFolderPermission>^ poPermissions
    )

#### Parameters

poPermissions
  Array of EdmFolderPermission structures; one structure for each permission assignment

# Example

See the IEdmUserMgr7 examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- E_EDM_PERMISSION_DENIED: The logged-in user lacks the EdmSysPerm.EdmSysPerm_EditUserMgr permission.

# See Also

####

IEdmUserMgr7 Interface
IEdmUserMgr7 Members

# Availability

SOLIDWORKS PDM Professional 2010